summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2018-10-17 11:05:48 -0300
committerJesusaves <cpntb1@ymail.com>2018-10-17 11:05:48 -0300
commit2902ec85c95c4e10cc2f60bc2a3fb4d8c1c9fdd9 (patch)
treef824322060b7cdca2ab62a22864dab727fd4a72a /.tools
parentd4dc6bf958d411243c76c4c9bb9720b67aaa2d11 (diff)
downloadart-2902ec85c95c4e10cc2f60bc2a3fb4d8c1c9fdd9.tar.gz
art-2902ec85c95c4e10cc2f60bc2a3fb4d8c1c9fdd9.tar.bz2
art-2902ec85c95c4e10cc2f60bc2a3fb4d8c1c9fdd9.tar.xz
art-2902ec85c95c4e10cc2f60bc2a3fb4d8c1c9fdd9.zip
Try to fix this
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/newlines.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/.tools/newlines.sh b/.tools/newlines.sh
index c7a59bf2..32beda0d 100755
--- a/.tools/newlines.sh
+++ b/.tools/newlines.sh
@@ -6,6 +6,7 @@ aptget_update
aptget_install dos2unix git-core
export LOG1="newlines.log"
+SIGNAL=0;
rm ${LOG1}
@@ -15,7 +16,7 @@ export RES=$(git diff --name-only)
if [[ -n "${RES}" ]]; then
echo "Wrong new lines detected in xml files:"
git diff --name-only
- exit 1
+ SIGNAL=1;
fi
find -H . -type f -name "*.tmx" -exec dos2unix {} \; >>${LOG1}
@@ -24,7 +25,7 @@ export RES=$(git diff --name-only)
if [[ -n "${RES}" ]]; then
echo "Wrong new lines detected in tmx files:"
git diff --name-only
- exit 1
+ SIGNAL=1;
fi
@@ -34,7 +35,7 @@ export RES=$(git diff --name-only)
if [[ -n "${RES}" ]]; then
echo "Wrong new lines detected in md files:"
git diff --name-only
- exit 1
+ SIGNAL=1;
fi
@@ -44,5 +45,8 @@ export RES=$(git diff --name-only)
if [[ -n "${RES}" ]]; then
echo "Wrong new lines detected in conf files:"
git diff --name-only
- exit 1
+ SIGNAL=1;
fi
+
+exit $SIGNAL;
+